\documentclass[11pt]{article}
\usepackage{subfigure,wrapfig,graphicx,booktabs,fancyhdr,amsmath,amsfonts}
\usepackage{bm,amssymb,amsmath,amsthm,wasysym,color,fullpage,setspace,multirow}
\usepackage{hyperref}
\usepackage{listings}
\usepackage{float}
\newcommand{\vb}{\boldsymbol}
\newcommand{\vbh}[1]{\hat{\boldsymbol{#1}}}
\newcommand{\vbb}[1]{\bar{\boldsymbol{#1}}}
\newcommand{\vbt}[1]{\tilde{\boldsymbol{#1}}}
\newcommand{\vbs}[1]{{\boldsymbol{#1}}^*}
\newcommand{\vbd}[1]{\dot{{\boldsymbol{#1}}}}
\newcommand{\vbdd}[1]{\ddot{{\boldsymbol{#1}}}}
\newcommand{\by}{\times}
\newcommand{\tr}{{\rm tr}}
\newcommand{\cpe}[1]{\left[{#1} \times \right]}
\newcommand{\sfrac}[2]{\textstyle \frac{#1}{#2}}
\newcommand{\ba}{\begin{array}}
\newcommand{\ea}{\end{array}}
\renewcommand{\earth}{\oplus}
\newcommand{\sinc}{{\rm \hspace{0.5mm} sinc}}
\newcommand{\tf}{\tilde{f}}
\newcommand{\tbox}[1]{\noindent \fbox{\parbox{\textwidth}{#1}}}
\DeclareMathAlphabet{\mathpzc}{OT1}{pzc}{m}{it}

\newtheorem{exercise}{Exercise}[section]

\title{Advanced C++\\for Aerial Robotics}
\date{\today}

\begin{document}
%\onehalfspace
\maketitle

\section{Introduction}
% TODO

% TODO structs and objects (save for later)
\section{Structs and Objects}

\subsection{Structs}
% TODO

\subsection{Object-Oriented Programming}
% TODO

\section{Smart Pointers}
% TODO

\section{Building Your Code with CMake}
% TODO
% use cmake

%\section{Memory and Debugging} % not really important
% valgrind, gdb, etc.

\section{Math and Eigen} % save this for later
Eigen is a linear algebra library for C++. For other projects, you may also find Armadillo (another linear algebra library) useful for its attempt to match MATLAB syntax. More on this later\ldots
% TODO

%\section{Frequently Asked Questions}

\section{Resources}
\begin{itemize}
\item Learncpp.com: \url{https://www.learncpp.com/} (Beginner-level reference)
\item Exercism.io: \url{exercism.io} (Tutorials)
\item C++ Reference: \url{https://en.cppreference.com/w/} (More advanced reference)
%\item Valgrind Quick Start Guide: \url{https://valgrind.org/docs/manual/quick-start.html}
\end{itemize}

\section{References}
\begin{itemize}
\item Learncpp.com: \url{https://www.learncpp.com/}
\item Git: The Simple Guide: \url{https://rogerdudler.github.io/git-guide/}
\item CS 3410 Course Files: \url{http://www.cs.cornell.edu/courses/cs3410/2015sp/}
\item Eigen Quick Reference: \url{https://eigen.tuxfamily.org/dox/group__QuickRefPage.html}
\end{itemize}

\end{document}
